<?php
require 'Transaction.php';

$apiKey = 'JDJ5JDEzJG9IZXEwNDluN212TmtIc1BFZ3RLSk9kS0tka2I0UFk1dlFOaFZLZ3puTGY0ZTZKeTk5cVEy';
$apiUrl = 'https://bigflip.id/api/v2/pwf/';
$flip = new FlipPaymentGateway($apiKey,$apiUrl);
// $flip = new FlipPaymentGateway($apiUrl);

try {
    // Membuat transaksi
    // $response = $flip->createBill('Pembayaran Internet bulan Agustus 2024',180000, 'recipient@example.com', 'Wian', '081298698422', 'Sukabumi jawa barat');
    $response = $flip->editBill('11966210','INACTIVE','Tambah saldo agen voucher', 50000);
    //CEK Status Transaksi
    // $response = $flip->getBillStatus('133642');
    echo "<pre>";
    print_r($response);
    
} catch (Exception $e) {
    echo "Error: " . $e->getMessage();
}
?>
